Subject: Re: Last Call: <draft-trammell-ipfix-tcpcontrolbits-revision-04.txt> (Revision of the tcpControlBits IPFIX Information Element) to Informational RFC

From: Brian Trammell <[email-masked]>
Date: Wed, 04 Dec 2013 19:58:27 +0100

hi Michael,

Thanks for the comment, and apologies for the delayed reply; I've
replaced this wording in an upcoming -05 revision with:

      Each of the three bits (0x800, 0x400, and 0x200) which are
      reserved for future use in [RFC0793] SHOULD be exported as
      observed in the TCP headers of the packets of this Flow.

Cheers,

Brian

Scharf, Michael (Michael) wrote:
> Hi all,
> 
> A small editorial nit: RFC 793, RFC3168 and RFC3540 (which is experimental, BTW) all classify bits 3,4,5 in octets 13 and 14 of the TCP header as "Reserved".
> 
> In the information element according to this draft, the corresponding bits are named "Future Use", with the reference "per the definition of the bits in the TCP header [RFC0793]". Strictly speaking, this terminology differs slightly to RFC 793 and the very well-known figure depicting the TCP header.
>  
> For whatever it is worth, I suggest to better explain the different wording. For instance, instead of ...
> 
>       Each of the three future use bits (0x800, 0x400, and 0x200) should
>       be exported as observed in the TCP headers of the packets of this
>       Flow, as they may be used subsequent to a future update of
>       [RFC0793].
> 
> ... an alternative wording better reflecting the exact header definition in RFC 793 could be:
> 
>       Each of the three future use bits (0x800, 0x400, and 0x200) should
>       be exported as observed in the TCP headers of the packets of this
>       Flow, which are reserved for future use in [RFC0793].
> 
> Best regards
> 
> Michael
>  
> 
>> -----Original Message-----
>> From: [email-masked] [mailto:ietf-announce-
>> [email-masked]] On Behalf Of The IESG
>> Sent: Tuesday, October 08, 2013 12:13 AM
>> To: IETF-Announce
>> Subject: Last Call: <draft-trammell-ipfix-tcpcontrolbits-revision-
>> 04.txt> (Revision of the tcpControlBits IPFIX Information Element) to
>> Informational RFC
>>
>>
>> The IESG has received a request from an individual submitter to
>> consider
>> the following document:
>> - 'Revision of the tcpControlBits IPFIX Information Element'
>>   <draft-trammell-ipfix-tcpcontrolbits-revision-04.txt> as
>> Informational
>> RFC
>>
>> The IESG plans to make a decision in the next few weeks, and solicits
>> final comments on this action. Please send substantive comments to the
>> [email-masked] mailing lists by 2013-11-04. Exceptionally, comments may
>> be
>> sent to [email-masked] instead. In either case, please retain the
>> beginning of the Subject line to allow automated sorting.
>>
>> Abstract
>>
>>
>>    This document revises the tcpControlBits IPFIX Information Element
>> as
>>    originally defined in [RFC5102] to reflect changes to the TCP Flags
>>    header field since [RFC0793].
>>
>>
>>
>>
>> The file can be obtained via
>> http://datatracker.ietf.org/doc/draft-trammell-ipfix-tcpcontrolbits-
>> revision/
>>
>> IESG discussion can be tracked via
>> http://datatracker.ietf.org/doc/draft-trammell-ipfix-tcpcontrolbits-
>> revision/ballot/
>>
>>
>> No IPR declarations have been submitted directly on this I-D.
>>

---

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 4 Dec 2013 21:00:01 +0000

Works for me.

Thanks

Michael

________________________________________
Von: Brian Trammell [[email-masked]]
Gesendet: Mittwoch, 4. Dezember 2013 19:58
An: Scharf, Michael (Michael)
Cc: [email-masked]
Betreff: Re: Last Call: <draft-trammell-ipfix-tcpcontrolbits-revision-04.txt> (Revision of the tcpControlBits IPFIX Information Element) to     Informational RFC

hi Michael,

Cheers,

Brian